package com.ruoyi.system.domain.communityNews.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * @Author: tjf
 * @Date: 2025/2/26 17:19
 * @Describe:
 */
public class CommentIndexShVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 社区资讯评论ID */
    private Long commentId;

    /** 社区资讯ID */
    @Excel(name = "社区资讯ID")
    private Long communityId;

    /** 社区资讯标题 */
    @Excel(name = "社区资讯标题")
    private String communityTitle;

    /** 社区资讯类型（1：公告 2：通知 3：资讯） */
    @Excel(name = "社区资讯类型", readConverterExp = "1=：公告,2=：通知,3=：资讯")
    private String communityType;

    /** 根评论id 1:根评论 2：子评论 */
    @Excel(name = "根评论id 1:根评论 2：子评论")
    private Integer isRoot;

    /** 父评论id */
    @Excel(name = "父评论id")
    private Long parentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 所回复目标评论的用户id */
    @Excel(name = "所回复目标评论的用户id")
    private Long toUserId;

    /** 所回复目标评论的用户昵称 */
    @Excel(name = "所回复目标评论的用户昵称")
    private String toNickName;

    /** 所回复目标评论的头像地址 */
    @Excel(name = "所回复目标评论的头像地址")
    private String toAvatar;

    /** 内容id */
    @Excel(name = "内容id")
    private Long contentId;

    /** 评论内容 */
    @Excel(name = "评论内容(冗余字段)")
    private String commentContent;

    /** 状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架 */
    @Excel(name = "状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架")
    private String status;

    /** 类型：1：文字 2：图片 */
    @Excel(name = "类型：1：文字 2：图片")
    private Integer type;

    public Long getCommentId() {
        return commentId;
    }

    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    public Long getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Long communityId) {
        this.communityId = communityId;
    }

    public String getCommunityTitle() {
        return communityTitle;
    }

    public void setCommunityTitle(String communityTitle) {
        this.communityTitle = communityTitle;
    }

    public String getCommunityType() {
        return communityType;
    }

    public void setCommunityType(String communityType) {
        this.communityType = communityType;
    }

    public Integer getIsRoot() {
        return isRoot;
    }

    public void setIsRoot(Integer isRoot) {
        this.isRoot = isRoot;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getToUserId() {
        return toUserId;
    }

    public void setToUserId(Long toUserId) {
        this.toUserId = toUserId;
    }

    public String getToNickName() {
        return toNickName;
    }

    public void setToNickName(String toNickName) {
        this.toNickName = toNickName;
    }

    public String getToAvatar() {
        return toAvatar;
    }

    public void setToAvatar(String toAvatar) {
        this.toAvatar = toAvatar;
    }

    public Long getContentId() {
        return contentId;
    }

    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public String getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(String commentContent) {
        this.commentContent = commentContent;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "CommentIndexShVo{" +
                "commentId=" + commentId +
                ", communityId=" + communityId +
                ", communityTitle='" + communityTitle + '\'' +
                ", communityType='" + communityType + '\'' +
                ", isRoot=" + isRoot +
                ", parentId=" + parentId +
                ", userId=" + userId +
                ", nickName='" + nickName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", toUserId=" + toUserId +
                ", toNickName='" + toNickName + '\'' +
                ", toAvatar='" + toAvatar + '\'' +
                ", contentId=" + contentId +
                ", commentContent='" + commentContent + '\'' +
                ", status='" + status + '\'' +
                ", type=" + type +
                '}';
    }
}
